Subject: [saag] LAMPS Session at IETF96

From: Russ Housley <[email-masked]>
Date: Fri, 22 Jul 2016 10:48:04 -0400

This was the first meeting of the LAMPS WG.  The group talked about three topics.

First, Jim Schaad give a presentation about adding authenticated-encryption algorithms with S/MIME.  The WG adopted the document, and once it is published it will obsolete RFC 5751.  It was observed that a corresponding document to obsolete RFC 5750 will also be needed.

Second, Wei Chuang gave a presentation about Email Address Internationalization (EAI) and Certificates.  It suggest carrying smtputf8Name as an OthererNameeThe WG adopted the document, and once it is published it update RFC 5280.

Third, the CURDLE WG asked this WG for a recommendation regarding CFRG Elliptic Curve algorithm identification in certificates.  Jim Schaad gave a presentation of the possible ways forward.  The people in the room unanimously recommended that the same object identifiers be used for SubjectPublicKeyInfo.algorithm and Certificate.signatureAlgorithm and SignerInfo.signatureAlgorithm, and that this identify the curve, the operation (signature, pre-hash signature, or key agreement).